jQuery(document).ready(function($) {

    tinymce.create('tinymce.plugins.pure_profiles_plugin', {
        init : function(ed, url) {
            ed.addButton('pure_profiles_button', {
				title : 'Insert Pure Profiles', 
				image: url + '/profile.png', 
				onclick: function() {
					var employeeid = prompt("Employee ID (leave blank to show all)", "");
					
					if ((employeeid != null) && (employeeid != "") && (employeeid != "-1"))
						ed.execCommand('mceInsertContent', false, '[pureprofiles employeeid="'+employeeid+'"]');
					else
						ed.execCommand('mceInsertContent', false, '[pureprofiles]');
				}
			});
        },   
		createControl : function(n, cm) {
			return null;
		}
    });

    // Register our TinyMCE plugin
    // first parameter is the button ID1
    // second parameter must match the first parameter of the tinymce.create() function above
    tinymce.PluginManager.add('pure_profiles_button', tinymce.plugins.pure_profiles_plugin);
});